Subject: bug#1754: 23.0.60; tool-bar is shown with tool-bar-mode off

From: "Drew Adams" <[email-masked]>
Date: Thu, 1 Jan 2009 18:27:39 -0800

> Read the description of `pop-up-frame-alist'. It talks about 
> special "pop-up" frames, and it gives examples of them. It is the
> analog of `special-display-frame-alist'. Both "supercede the
> values given in `default-frame-alist'.
> 
> Read the description of `pop-up-frames'. It is completely 
> general and refers to all frames. It is the analog of `pop-up-windows'. 
> 
> There is nothing new in this. Look at the C code for `display-buffer'
> in Emacs 22 (or 21 or 20). It does not refer to `pop-up-frame-alist' 
> at all. It uses `pop-up-frames' the same way it uses `pop-up-windows':
> to know whether to use a separate frame (or window, in the latter case).
> 
> `pop-up-windows':
> "Non-nil means `display-buffer' should make a new window."
> 
> `pop-up-frames':
> "Whether `display-buffer' should make a separate frame."
> 
> Those have nothing to do with superceding the values in 
> `default-frame-alist'.

I'm afraid it is I who was mistaken about this, not you. From the doc, I had the
impression that `pop-up-frame-alist' did not apply to all new frames opened,
that it applied only to special, "pop-up" frames. I've never used
`pop-up-frame-alist'.

But I see now that in Emacs 22 any frames opened by `display-buffer' (e.g. via
`C-x 5 f' or because `pop-up-frames' is non-nil) use the properties of
`pop-up-frame-alist', not `default-frame-alist'. 

My bad. It might be a good idea to mention in the doc of `pop-up-frame-alist'
the connection with `pop-up-frames' and `display-buffer'. Instead of speaking of
it being used when "creating pop-up frames" (undefined) and giving examples of
frames that are quite particular (completions, help), it would be better to
specifically mention `display-buffer' (and perhaps `pop-up-frames').